<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<h1 class="h2 fw-medium mb-3">
	{{ 'requestCcKeys.title' | translate }}
</h1>
<p class="mb-4">
	{{ 'requestCcKeys.instruction' | translate }}
</p>

<sdm-page-actions #pageActionsComponent>
	<i aria-hidden="true" class="bi bi-arrow-right-circle" onReady></i>
	<p *ngIf="!pageActionsComponent.hasErrorFeedback" onError>
		{{ 'requestCcKeys.pageActions.error' | translate }}
	</p>
	<p *ngIf="pageActionsComponent.hasErrorFeedback" onError>
		{{ 'error.' + pageActionsComponent.errorFeedbackCode | translate }}
	</p>
	<p onReady>
		{{ 'requestCcKeys.pageActions.instruction' | translate }}
	</p>
	<ng-container onReady [ngTemplateOutlet]="requestCcKeysButton"></ng-container>
	<ng-container onError *ngIf="pageActionsComponent.hasErrorFeedback" [ngTemplateOutlet]="requestCcKeysButton"></ng-container>
	<ng-template #requestCcKeysButton>
		<button
				(click)="requestCcKeys()"
				class="btn btn-primary"
				data-test="request"
				type="button"
		>
			<i aria-hidden="true" class="bi bi-arrow-right-circle"></i>
			{{ 'requestCcKeys.pageActions.request' | translate }}
		</button>
	</ng-template>

	<div class="spinner" onProgress>
		<span aria-hidden="true" class="spinner-border"></span>
		<span class="visually-hidden" role="status">
		  {{ 'common.loading' | translate }}
		</span>
	</div>
	<p onProgress>
		{{ 'requestCcKeys.pageActions.inProgress' | translate }}
	</p>


	<i aria-hidden="true" class="bi bi-check-circle" onComplete></i>
	<p aria-live="polite" onComplete>
		{{ 'requestCcKeys.pageActions.processCompleted' | translate }}
	</p>
	<button class="btn btn-primary" onComplete sdmRouterLinkNext type="button">
		<i aria-hidden="true" class="bi bi-arrow-right-circle"></i>
		{{ 'common.next' | translate }}
	</button>
</sdm-page-actions>

<sdm-progress [displayMetrics]="false"/>